Jump to content
XPEnology Community

Migration HP GEN8 with NC365T from 23739 to 24922


phinemaria
 Share

Recommended Posts

I have a BareMetal HP GEN8 with 4x3TB HDD and in the current version DSM 6.2.1 23739. I changed the network card to an INtel chip with NC365T with four 1Gbit/s. I have done this with NC365T. The internal LAN SS are deactivated.
As loader I have version 1.03b.

When I update to version 24922, which I tried with a blank HDD, the DSM does not start anymore, the server is in a not definable state.

 

Does anyone have hints how I can get from version 23739 to version 24922?

I don't succeed. I would like to test this before I take my Live HHDs, so that I don't destroy my Live system.

 

Thank you.

 

Link to comment
Share on other sites

I am not sure if there is a difference between the 3615 and 3617 but I had to ask. I have an Intel Gigabit PRO 1000 CT that can load 1.04b on the current update, but it does not show the network adapter in the network list. I also have not been able to update all the way with the DS3617XS loader.

 

I am considering getting the HP card, but I am not sure that is my issue.

 

I am continuing research and it looks like with 1.04b, the issue I was having may be fixed by doing this:

-------------------------------------

@XbladeX From earlier experience with a problem like that:

try these steps:

Activate the SSH service in DSM (if not active)
Connect to your NAS with an SSH client (e.g. putty) (or from Win 10, open a cmd window, run : ssh admin@my.nas.ip (replace with the actual IP)
Enter your credentials (user: admin)
Change folder to root (cd /)
Delete the xpenoboot folder (sudo rm -r .xpenoboot)
If the SSH service keeps stopping, you have to be quick.

--------------------------------------

Link to comment
Share on other sites

Hello,

 

I have tested two version.

 

I use the versin 3617xs to test all szenarios.

  • Buy a new Quad port certified Intel network adaper and install this to pci-e slot, modefy the grub.cfg with new macs
  • install on a blank HDD with a new flashed USB stick version 23739. All things looks fine. After this I install the update over the new installed Version with 24922.
    The DSM on HP Gen8 will not start, no IP adress, no way to connect
  • second, I flashed a new stick, install a new, blank HDD and install 24922, after restart no connect to DSM. Then I flashed the USB Stick again and after reboot DSM asked me to reinstall. After ENTER, the DSM comes not back. No way to connect to the system

Any idea what I can do to use 24922 on my bare metall HP GEN 8? 

 

Thanks a lot.

Link to comment
Share on other sites

3 hours ago, phinemaria said:

I use the versin 3617xs to test all szenarios.

 

I might be repeating myself, but here it goes:

There are "some" issues in regards to the 3617 systems with DSM 6.x, stay to 3615!!

 

btw: what Device ID is your HP NC365T presenting to your DSM?

 

Seems like many of the forum users have been using the NC364T with good results,

in various DSM versions, this is still supported with the native e1000e driver, 

but the NC365T should be based on the intel 82580 chipset, supported by the native igb driver (at least it used to be)

 

 

Link to comment
Share on other sites

Hello,

 

thanks for you answer. I bought a Gigabit ET2 Quad Port Server AdapterE1G44ET2. This card is certified for DSM. 

https://www.synology.com/en-global/compatibility?search_by=category&category=network_interface_cards&filter_ports=4 x 1GbE&p=1

 

So I think, it`s can not be a problem of the chipset. I think so.

 

I will test a version of 3615 with the same hardware.

Link to comment
Share on other sites

I was successfully with DS3615xs 1.03b loader.

 

I did have to delete the old xpenoboot folder as detailed below to resolve my network issues after I migrated from the 3617 to the 3615.

 

 

On 7/27/2019 at 8:46 AM, bglf83 said:

I am not sure if there is a difference between the 3615 and 3617 but I had to ask. I have an Intel Gigabit PRO 1000 CT that can load 1.04b on the current update, but it does not show the network adapter in the network list. I also have not been able to update all the way with the DS3617XS loader.

 

I am considering getting the HP card, but I am not sure that is my issue.

 

I am continuing research and it looks like with 1.04b, the issue I was having may be fixed by doing this:

-------------------------------------

@XbladeX From earlier experience with a problem like that:

try these steps:

Activate the SSH service in DSM (if not active)
Connect to your NAS with an SSH client (e.g. putty) (or from Win 10, open a cmd window, run : ssh admin@my.nas.ip (replace with the actual IP)
Enter your credentials (user: admin)
Change folder to root (cd /)
Delete the xpenoboot folder (sudo rm -r .xpenoboot)
If the SSH service keeps stopping, you have to be quick.

--------------------------------------

 

I have an e1000e drive loaded for my NIC. I disabled all my other NICs.  To check what driver your NIC is using, log into SSH and run these commands.

 

(I got this info from another person on the forum)

----------------------------------------------

Open a SSH connection to your NAS, and type:
lspci | grep 0200 (this will list your nic's)
you should see something like: 
... Device 8086:xxxx  (indicating Intel)
This should be eth0, so type:
ethtool -i eth0 
you should see something like:
driver: e1000e (this is a driver supported in 6.2.1)
If not, try using the above :xxxx device id to check if it is supported by the bootloader/DSM version you will try to us

------------------------------------------------

  • Like 1
Link to comment
Share on other sites

Hello,

 

tested with 3615xs and yes it`s fine and run. Thanks a lot.

It is possible to downgrade from 3715xs to 3615xs or only with completly new installation?

I use a XEON CPU and 3615xs shows i3 CPU. Can I use also the higher performance of XEON with 3615xs?

 

nice evening.

 

 

Link to comment
Share on other sites

Cool :-)

3615 is a "winner", as can be seen in this post the HP NC365T is working with 3615 and DSM 6.2.2.

Did you keep the NC365T, or did you replace it with the ET2 card?

 

You should be able to "cross-upgrade" from 3617 to 3615,

by booting a 3615 USB you will get the option to "migrate your HDD's" from 3617 to 3615

as DSM thinks you have moved your HDD's from one NAS to another.

 

You will get an option to keep "just data" or "data and settings", the last one will try to keep your compatible app's as well.

But you should make a backup of your settings, just in case.

 

What your control panel show you as CPU info , is "hardcoded" in the loader, and nothing to worry about.

Edited by bearcat
Link to comment
Share on other sites

  • 2 months later...
Le 03/08/2019 à 23:35, bglf83 a dit :

I was successfully with DS3615xs 1.03b loader.

 

I did have to delete the old xpenoboot folder as detailed below to resolve my network issues after I migrated from the 3617 to the 3615.

 

 

 

I have an e1000e drive loaded for my NIC. I disabled all my other NICs.  To check what driver your NIC is using, log into SSH and run these commands.

 

(I got this info from another person on the forum)

----------------------------------------------

Open a SSH connection to your NAS, and type:
lspci | grep 0200 (this will list your nic's)
you should see something like: 
... Device 8086:xxxx  (indicating Intel)
This should be eth0, so type:
ethtool -i eth0 
you should see something like:
driver: e1000e (this is a driver supported in 6.2.1)
If not, try using the above :xxxx device id to check if it is supported by the bootloader/DSM version you will try to us

------------------------------------------------

 

 

Hello i'm also on xpenology on a HP gen 8 

 

DSM 6.1.7-15284 Update 2

DS3615xs

CPU info

  • vendor_id       : GenuineIntel
  • model name      : Intel(R) Pentium(R) CPU G2020T @ 2.50GHz

 

 

as i understand i can't upgrade until i bought a new network card or my CPU  ?

 

ethtool result

driver: tg3
version: 3.132
firmware-version: 5720-v1.36 NCSI v1.3.7.0


 

There is another card i can bought ? 

because "Gigabit ET2 Quad Port Server AdapterE1G44ET2" is quite expensive and I only need one Gigabit ethernet port or 2 max

 

 

Thanks

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share

×
×
  • Create New...